<?php

/* The pro notifications pack */
return [
    'INFORMATIONAL_BAR' => [
        'type' => 'pro',
        'title' => l('notification.informational_bar.title_default'),
        'description' => l('notification.informational_bar.description_default'),
        'image' => l('notification.informational_bar.image_default'),
        'image_alt' => '',
        'url'   => '',
        'url_new_tab' => true,

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'top',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'description_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',

        'border_radius' => 'straight',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => false,

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',
        'close_button_color' => '#808080',
    ],

    'IMAGE' => [
        'type' => 'pro',
        'title' => l('notification.image.title_default'),
        'image' => l('notification.image.image_default'),
        'image_alt' => '',
        'button_url'   => '',
        'button_text'  => l('notification.image.button_text_default'),

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#000',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => true,

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',
        'close_button_color' => '#808080',
    ],

    'COLLECTOR_BAR' => [
        'type' => 'pro',
        'title' => l('notification.collector_bar.title_default'),
        'input_placeholder' => l('notification.collector_bar.input_placeholder_default'),
        'button_text' => l('notification.collector_bar.button_text_default'),
        'show_agreement' => false,
        'agreement_text' => l('notification.collector_bar.agreement_text_default'),
        'agreement_url' => '',
        'thank_you_url' => '',

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'top',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'straight',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => false,

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',
        'close_button_color' => '#808080',

        'data_send_is_enabled' => 0,
        'data_send_webhook' => '',
        'data_send_email' => '',
    ],

    'COUPON_BAR' => [
        'type' => 'pro',
        'title' => l('notification.coupon_bar.title_default'),
        'coupon_code' => l('notification.coupon_bar.coupon_code_default'),
        'url'   => '',
        'url_new_tab' => true,

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'top',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'coupon_code_color' => '#fff',
        'coupon_code_background_color' => '#000',
        'coupon_code_border_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',

        'border_radius' => 'straight',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => false,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut'
    ],

    'BUTTON_BAR' => [
        'type' => 'pro',
        'title' => l('notification.button_bar.title_default'),
        'button_text' => l('notification.button_bar.button_text_default'),
        'url'   => '',
        'url_new_tab' => true,

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'top',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'button_color' => '#fff',
        'button_background_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',

        'border_radius' => 'straight',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => false,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut'
    ],

    'COLLECTOR_MODAL' => [
        'type' => 'pro',
        'title' => l('notification.collector_modal.title_default'),
        'description' => l('notification.collector_modal.description_default'),
        'image' => l('notification.collector_modal.image_default'),
        'image_alt' => '',
        'input_placeholder' => l('notification.collector_modal.input_placeholder_default'),
        'button_text' => l('notification.collector_modal.button_text_default'),
        'show_agreement' => false,
        'agreement_text' => l('notification.collector_modal.agreement_text_default'),
        'agreement_url' => '',
        'thank_you_url' => '',

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'description_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => true,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',

        'data_send_is_enabled' => 0,
        'data_send_webhook' => '',
        'data_send_email' => '',
    ],

    'COLLECTOR_TWO_MODAL' => [
        'type' => 'pro',
        'title' => l('notification.collector_two_modal.title_default'),
        'description' => l('notification.collector_two_modal.description_default'),
        'image' => l('notification.collector_two_modal.image_default'),
        'image_alt' => '',
        'input_placeholder' => l('notification.collector_two_modal.input_placeholder_default'),
        'button_text' => l('notification.collector_two_modal.button_text_default'),
        'show_agreement' => false,
        'agreement_text' => l('notification.collector_two_modal.agreement_text_default'),
        'agreement_url' => '',
        'thank_you_url' => '',

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'description_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => true,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',

        'data_send_is_enabled' => 0,
        'data_send_webhook' => '',
        'data_send_email' => '',
    ],

    'BUTTON_MODAL' => [
        'type' => 'pro',
        'title' => l('notification.button_modal.title_default'),
        'description' => l('notification.button_modal.description_default'),
        'image' => l('notification.button_modal.image_default'),
        'image_alt' => '',
        'button_text' => l('notification.button_modal.button_text_default'),
        'button_url'   => '',

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'description_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => true,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',
    ],

    'TEXT_FEEDBACK' => [
        'type' => 'pro',
        'title' => l('notification.text_feedback.title_default'),
        'description' => l('notification.text_feedback.description_default'),
        'input_placeholder' => l('notification.text_feedback.input_placeholder_default'),
        'button_text' => l('notification.text_feedback.button_text_default'),
        'thank_you_url' => '',

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'description_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => true,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',

        'data_send_is_enabled' => 0,
        'data_send_webhook' => '',
        'data_send_email' => '',
    ],

    'ENGAGEMENT_LINKS' => [
        'type' => 'pro',
        'title' => l('notification.engagement_links.title'),
        'categories' => [],

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'title_color' => '#000',
        'categories_title_color' => '#000',
        'categories_description_color' => '#000',
        'categories_links_title_color' => '#000',
        'categories_links_description_color' => '#000',
        'categories_links_background_color' => '#e2e2e2',
        'categories_links_border_color' => '#fff',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow'        => true,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',
    ],

    'WHATSAPP_CHAT' => [
        'type' => 'pro',
        'title' => '',
        'agent_image' => l('notification.whatsapp_chat.image_default'),
        'agent_image_alt' => '',
        'agent_name' => 'John Doe',
        'agent_description' => 'This is a sample description.',
        'agent_message' => 'Hey there, how can I help?',
        'button_text' => 'Message me 💬',

        'trigger_all_pages' => true,
        'triggers' => [],
        'display_trigger' => 'delay',
        'display_trigger_value' => 2,
        'display_frequency' => 'all_time',
        'display_mobile' => true,
        'display_desktop' => true,

        'direction' => l('direction'),
        'display_duration' => 5,
        'display_position' => 'bottom_left',
        'display_close_button' => true,
        'display_branding' => true,

        'header_agent_name_color' => '#fff',
        'header_agent_description_color' => '#d5fff6',
        'header_background_color' => '#085E54',
        'content_background_color' => '#eaeaea',
        'content_agent_name_color' => '#2d3748',
        'content_agent_message_color' => '#2d3748',
        'content_agent_message_background_color' => '#fff',
        'footer_background_color' => '#fff',
        'footer_button_background_color' => '#14c656',
        'footer_button_color' => '#fff',

        'title_color' => '#000',
        'background_color' => '#fff',
        'background_pattern' => false,
        'background_pattern_svg' => '',
        'button_background_color' => '#272727',
        'button_color' => '#fff',
        'border_radius' => 'rounded',
        'border_color' => '#000',
        'border_width' => 0,
        'shadow' => true,
        'close_button_color' => '#808080',

        'on_animation' => 'fadeIn',
        'off_animation' => 'fadeOut',
        'font' => 'inherit',
    ],
];
